//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblEntryCard
    {
        public int BrandCd { get; set; }
        public int HouseCd { get; set; }
        public string PupilCd { get; set; }
        public int Edaban { get; set; }
        public string PupilName { get; set; }
        public string PupilKana { get; set; }
        public Nullable<byte> Grade { get; set; }
        public Nullable<byte> Sex { get; set; }
        public Nullable<byte> StdCourseCd { get; set; }
        public byte StdKbn { get; set; }
        public Nullable<byte> ClassSystem { get; set; }
        public string Post1 { get; set; }
        public string Post2 { get; set; }
        public string Address1 { get; set; }
        public string Address2 { get; set; }
        public string Address3 { get; set; }
        public string Tel { get; set; }
        public string Fax { get; set; }
        public string Mobile { get; set; }
        public string BirthDay { get; set; }
        public string ParentName { get; set; }
        public string ParentKana { get; set; }
        public Nullable<System.DateTime> InDate { get; set; }
        public string SchoolName { get; set; }
        public string PrivatoJukoExp { get; set; }
        public string PrivatoJukoHouse { get; set; }
        public string PrivatoJukoId { get; set; }
        public string SapixJukoExp { get; set; }
        public Nullable<int> SapixHouseCd { get; set; }
        public string SapixStdId { get; set; }
        public string PigmaJukoExp { get; set; }
        public string PigmaJukoId { get; set; }
        public string SapixJukoOth { get; set; }
        public string SapixJukoOthMemo { get; set; }
        public string EntranceFlg { get; set; }
        public Nullable<int> EntranceFee { get; set; }
        public Nullable<byte> MonthlyFeeCourse1 { get; set; }
        public Nullable<byte> MonthlyFeeMonth1 { get; set; }
        public Nullable<int> MonthlyFeeKoma1 { get; set; }
        public Nullable<int> MonthlyFee1 { get; set; }
        public Nullable<byte> MonthlyFeeCourse2 { get; set; }
        public Nullable<byte> MonthlyFeeMonth2 { get; set; }
        public Nullable<int> MonthlyFeeKoma2 { get; set; }
        public Nullable<int> MonthlyFee2 { get; set; }
        public string ProductCd01 { get; set; }
        public string ProductName01 { get; set; }
        public Nullable<int> ProductPrice01 { get; set; }
        public string ProductCd02 { get; set; }
        public string ProductName02 { get; set; }
        public Nullable<int> ProductPrice02 { get; set; }
        public string ProductCd03 { get; set; }
        public string ProductName03 { get; set; }
        public Nullable<int> ProductPrice03 { get; set; }
        public string ProductCd04 { get; set; }
        public string ProductName04 { get; set; }
        public Nullable<int> ProductPrice04 { get; set; }
        public string ProductCd05 { get; set; }
        public string ProductName05 { get; set; }
        public Nullable<int> ProductPrice05 { get; set; }
        public string ProductCd06 { get; set; }
        public string ProductName06 { get; set; }
        public Nullable<int> ProductPrice06 { get; set; }
        public string ProductCd07 { get; set; }
        public string ProductName07 { get; set; }
        public Nullable<int> ProductPrice07 { get; set; }
        public string ProductCd08 { get; set; }
        public string ProductName08 { get; set; }
        public Nullable<int> ProductPrice08 { get; set; }
        public string ProductCd09 { get; set; }
        public string ProductName09 { get; set; }
        public Nullable<int> ProductPrice09 { get; set; }
        public string ProductCd10 { get; set; }
        public string ProductName10 { get; set; }
        public Nullable<int> ProductPrice10 { get; set; }
        public string ProductCd11 { get; set; }
        public string ProductName11 { get; set; }
        public Nullable<int> ProductPrice11 { get; set; }
        public string ProductCd12 { get; set; }
        public string ProductName12 { get; set; }
        public Nullable<int> ProductPrice12 { get; set; }
        public string ProductCd13 { get; set; }
        public string ProductName13 { get; set; }
        public Nullable<int> ProductPrice13 { get; set; }
        public string ProductCd14 { get; set; }
        public string ProductName14 { get; set; }
        public Nullable<int> ProductPrice14 { get; set; }
        public string ProductCd15 { get; set; }
        public string ProductName15 { get; set; }
        public Nullable<int> ProductPrice15 { get; set; }
        public string ProductCd16 { get; set; }
        public string ProductName16 { get; set; }
        public Nullable<int> ProductPrice16 { get; set; }
        public string ProductCd17 { get; set; }
        public string ProductName17 { get; set; }
        public Nullable<int> ProductPrice17 { get; set; }
        public string ProductCd18 { get; set; }
        public string ProductName18 { get; set; }
        public Nullable<int> ProductPrice18 { get; set; }
        public string ProductCd19 { get; set; }
        public string ProductName19 { get; set; }
        public Nullable<int> ProductPrice19 { get; set; }
        public string ProductCd20 { get; set; }
        public string ProductName20 { get; set; }
        public Nullable<int> ProductPrice20 { get; set; }
        public string Biko { get; set; }
        public string OutKbn { get; set; }
        public string InfoID { get; set; }
        public string DelFlg { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
